Bug 1112657 - roles need to allow email address and i18n as name
Summary: roles need to allow email address and i18n as name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Tomer Brisker
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
: 1129785 1138551 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-24 12:39 UTC by Tom McKay
Modified: 2017-02-23 21:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:09:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 4350 0 None None None 2016-04-22 16:59:52 UTC
Red Hat Product Errata RHSA-2015:1592 0 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC

Description Tom McKay 2014-06-24 12:39:50 UTC
Unless there is a reason, roles should be capable of being named anything:
foo@bar.com
チーズ

Comment 1 Tom McKay 2014-06-24 12:39:52 UTC
Created from redmine issue http://projects.theforeman.org/issues/4350

Comment 4 Bryan Kearney 2014-08-12 12:48:43 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 Dominic Cleal 2014-08-15 08:57:24 UTC
*** Bug 1129785 has been marked as a duplicate of this bug. ***

Comment 6 Bryan Kearney 2014-08-15 16:02:59 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/4350 has been closed
-------------
Tomer Brisker
Applied in changeset commit:1e1c8575598b6efbdcf4e540fb8ae741e611e8d5.

Comment 7 jaudet 2014-08-19 14:10:57 UTC
I checked for the presence of this bug on qetello01.usersys.redhat.com, and the bug did not manifest itself. This issue appears to be fixed.

Comment 8 jaudet 2014-08-27 15:28:52 UTC
This issue should be re-opened. The relevant tests are failing again. You can see the relevant tests here: https://github.com/omaciel/robottelo/blob/master/tests/foreman/api/test_role_v2.py#L51-L65

Comment 9 Dominic Cleal 2014-09-11 13:46:26 UTC
This issue is still open.  POST indicates it's been addressed upstream, but not in this BZ product.

Comment 10 Dominic Cleal 2014-09-11 13:46:41 UTC
*** Bug 1138551 has been marked as a duplicate of this bug. ***

Comment 11 jaudet 2014-09-11 17:29:18 UTC
Whoops. My bad. I mis-understood the meaning of "POST".

Comment 12 jcallaha 2014-10-10 19:00:24 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Verified in RHEL6/RHEL7

* candlepin-0.9.32-1.el7.noarch
* candlepin-common-1.0.8-1.el7.noarch
* candlepin-selinux-0.9.32-1.el7.noarch
* candlepin-tomcat-0.9.32-1.el7.noarch
* elasticsearch-0.90.10-7.el7.noarch
* foreman-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-compute-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-gce-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-libvirt-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-ovirt-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-postgresql-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-proxy-1.7.0-0.develop.201410081229git52f0bac.el7.noarch
* foreman-release-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el7.noarch
* foreman-vmware-1.7.0-0.develop.201410091913git35b6fb9.el7.noarch
* katello-2.1.0-1.201410091752gitc9c45c1.el7.noarch
* katello-certs-tools-2.0.1-1.el7.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-2.1.0-1.201410021645git304e036.el7.noarch
* katello-repos-2.1.1-1.el7.noarch
* katello-server-ca-1.0-1.noarch
* openldap-2.4.39-3.el7.x86_64
* pulp-docker-plugins-0.2.1-0.2.beta.el7.noarch
* pulp-katello-0.3-3.el7.noarch
* pulp-nodes-common-2.5.0-0.7.beta.el7.noarch
* pulp-nodes-parent-2.5.0-0.7.beta.el7.noarch
* pulp-puppet-plugins-2.5.0-0.7.beta.el7.noarch
* pulp-puppet-tools-2.5.0-0.7.beta.el7.noarch
* pulp-rpm-plugins-2.5.0-0.7.beta.el7.noarch
* pulp-selinux-2.5.0-0.7.beta.el7.noarch
* pulp-server-2.5.0-0.7.beta.el7.noarch
* python-ldap-2.4.6-6.el7.x86_64
* ruby193-rubygem-ldap_fluff-0.3.1-1.el7.noarch
* ruby193-rubygem-net-ldap-0.3.1-2.el7.noarch
* ruby193-rubygem-runcible-1.2.0-1.el7.noarch
* rubygem-hammer_cli-0.1.3-1.201409240954gitf3c47c7.el7.noarch
* rubygem-hammer_cli_foreman-0.1.3-1.201409191432gitc38f9c8.el7.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
* rubygem-hammer_cli_import-0.10.4-1.el7.noarch
* rubygem-hammer_cli_katello-0.0.6-1.201410091836gitf7ca881.git.0.4d3b99d.el7.noarch

Comment 13 Bryan Kearney 2015-08-11 13:26:00 UTC
This bug is slated to be released with Satellite 6.1.

Comment 14 errata-xmlrpc 2015-08-12 05:09:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.